UpdatableScript
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Interface UpdatableScript

All Known Subinterfaces:
  Script

    public interface UpdatableScript

This interface is a part of `Script` interface. It covers live editing support.

Nested Class Summary
`static interface` | `UpdatableScript.ChangeDescription` An interface that explains what has happened/going to happen within script update action.
`static class` | `UpdatableScript.ChangeStatus`
`static interface` | `UpdatableScript.FunctionNode<T extends UpdatableScript.FunctionNode<T>>` A basic element of function change tree.
`static interface` | `UpdatableScript.FunctionPositions`
`static interface` | `UpdatableScript.NewFunctionNode` Represents a brand new function in the changed script, that has no corresponding old function.
`static interface` | `UpdatableScript.OldFunctionNode` Represents an old function in the changed script.
`static interface` | `UpdatableScript.TextualDiff`
`static interface` | `UpdatableScript.UpdateCallback`

Method Summary
`RelayOk` | `previewSetSource(java.lang.String newSource, UpdatableScript.UpdateCallback callback, SyncCallback syncCallback)` Same as `setSourceOnRemote(java.lang.String, org.chromium.sdk.UpdatableScript.UpdateCallback, org.chromium.sdk.SyncCallback)`, but does not actually update a script, only provides a description of the planned changes.
`RelayOk` | `setSourceOnRemote(java.lang.String newSource, UpdatableScript.UpdateCallback callback, SyncCallback syncCallback)` Demands that script text should be replaced with a new one if possible.

Method Detail

### setSourceOnRemote

    RelayOk setSourceOnRemote(java.lang.String newSource,
                              UpdatableScript.UpdateCallback callback,
                              SyncCallback syncCallback)

  Demands that script text should be replaced with a new one if possible. VM may get resumed after this command (this is defined by `UpdatableScript.ChangeDescription.isStackModified()`). In this case a standard 'suspended' notification is expected in a moment.

  Parameters:
    `newSource` - new text of script TODO: add an explicit output parameter about whether VM was resumed or not.

### previewSetSource

    RelayOk previewSetSource(java.lang.String newSource,
                             UpdatableScript.UpdateCallback callback,
                             SyncCallback syncCallback)

  Same as `setSourceOnRemote(java.lang.String, org.chromium.sdk.UpdatableScript.UpdateCallback, org.chromium.sdk.SyncCallback)`, but does not actually update a script, only provides a description of the planned changes.

  Parameters:
    `callback` - receives change plan description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD